---
- name: Update internal ansible collections
  hosts: System_Management
  user: root
  tasks:
    - name: Show source branch
      ansible.builtin.debug:
        msg: "Installing from branch {{ branch }}"

    - name: Update collections
      ansible.builtin.command:
        cmd: "ansible-galaxy collection install -f -U -p /data_1/semaphore/.ansible/collections {{ item }},{{ branch }}"
      changed_when: false
      loop:
        - "git+https://gitlab.ethz.ch/eduit/ansible/collections/services"
        - "git+https://gitlab.ethz.ch/eduit/ansible/collections/base_settings"
        - "git+https://gitlab.ethz.ch/eduit/apps/grading-service/otter-grader-service-ansible"
